const initializeFrame = async () => {
  try {
    const frameContext = await window.frames.getContext();
    console.log('Frame context:', frameContext);

    document.querySelector('.frameButton').addEventListener('click', async () => {
      try {
        await window.frames.postMessage({
          action: 'post',
          data: { type: 'show_fid' }
        });
      } catch (error) {
        console.error('Frame action error:', error);
      }
    });

    await window.frames.ready();
  } catch (error) {
    console.error('Frame initialization error:', error);
  }
};

document.addEventListener('DOMContentLoaded', initializeFrame);
